Debian Bug report logs - #631889
kfreebsd-8: FTBFS on linux-i386: can't find kernel headers

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 28 Jun 2011 02:33:01 UTC

Severity: serious

Merged with 631892

Found in version freebsd-buildutils/8.2-2

Fixed in versions freebsd-buildutils/8.2-3, freebsd-buildutils/8.2-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631889; Package src:kfreebsd-8. (Tue, 28 Jun 2011 02:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Jun 2011 02:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-8: FTBFS on linux-i386: can't find kernel headers
Date: Mon, 27 Jun 2011 22:28:59 -0400
Source: kfreebsd-8
Version: 8.2-3
Severity: serious
Justification: fails to build from source

The (linux-)i386 build of kfreebsd-8 failed with the somewhat comical error

cd ../../../modules; MAKEOBJDIRPREFIX=.../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/modules KMODDIR="/lib/modules/8.2-1-486" MACHINE=i386 WITHOUT_MODULES="..." KERNBUILDDIR=".../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM" SYSDIR=".../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/../../.." make  obj
===> 3dfx (obj)
"/usr/share/mk/bsd.kmod.mk", line 7: "can't find kernel headers, install kfreebsd-headers-2.6.32-5-amd64 package"
*** Error code 1

(Note the bogus version number in the suggested package name.)  FWIW,
the amd64 build ran into no such trouble.  Could you please take a look?

Thanks!




Bug 631889 cloned as bug 631892. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. (Tue, 28 Jun 2011 02:45:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631889; Package src:kfreebsd-8. (Tue, 28 Jun 2011 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Jun 2011 07:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 631889@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 631889@bugs.debian.org
Subject: Re: Bug#631889: kfreebsd-8: FTBFS on linux-i386: can't find kernel headers
Date: Tue, 28 Jun 2011 09:44:47 +0200
reassign 631889 freebsd-buildutils/8.2-2
tags 631889 pending
thanks

This is a regression introduced in freebsd-buildutils/8.2-2

2011/6/28 Aaron M. Ucko <ucko@debian.org>:
> Source: kfreebsd-8
> Version: 8.2-3
> Severity: serious
> Justification: fails to build from source
>
> The (linux-)i386 build of kfreebsd-8 failed with the somewhat comical error
>
> cd ../../../modules; MAKEOBJDIRPREFIX=.../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/modules KMODDIR="/lib/modules/8.2-1-486" MACHINE=i386 WITHOUT_MODULES="..." KERNBUILDDIR=".../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM" SYSDIR=".../kfreebsd-8-8.2/flavor-8.2-1-486/sys/i386/compile/DEBCUSTOM/../../.." make  obj
> ===> 3dfx (obj)
> "/usr/share/mk/bsd.kmod.mk", line 7: "can't find kernel headers, install kfreebsd-headers-2.6.32-5-amd64 package"
> *** Error code 1
>
> (Note the bogus version number in the suggested package name.)  FWIW,
> the amd64 build ran into no such trouble.  Could you please take a look?
>
> Thanks!
>
>
>
> --
> To UNSUBSCRIBE, email to debian-bsd-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20110628022859.15638.43852.reportbug@tux64.internal.ucko.debian.net
>
>



-- 
Robert Millan




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 07:48:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:kfreebsd-8' to 'freebsd-buildutils'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 13:18:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-8/8.2-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 13:18:06 GMT) Full text and rfc822 format available.

Forcibly Merged 631889 631892. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 13:18:07 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 28 Jun 2011 15:51:07 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Tue, 28 Jun 2011 15:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 631889-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631889-close@bugs.debian.org
Subject: Bug#631889: fixed in freebsd-buildutils 8.2-3
Date: Tue, 28 Jun 2011 15:48:50 +0000
Source: freebsd-buildutils
Source-Version: 8.2-3

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-3.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-3.debian.tar.gz
freebsd-buildutils_8.2-3.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-3.dsc
freebsd-buildutils_8.2-3_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631889@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Jun 2011 15:23:42 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 8.2-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 631889 631892
Changes: 
 freebsd-buildutils (8.2-3) unstable; urgency=low
 .
   * 18_fix_sysdir.diff: Bring back search in relative paths (removing it
     breaks kfreebsd builds).  (Closes: #631889, #631892)
Checksums-Sha1: 
 66108ff146715772fa4ae6c9c6c7442cecc0efa9 1374 freebsd-buildutils_8.2-3.dsc
 f558a2f2462c641367fede7ed232397d683cd062 29066 freebsd-buildutils_8.2-3.debian.tar.gz
 0b9d2c44e91a3dfd05e294b431a7d5f50babe424 496892 freebsd-buildutils_8.2-3_kfreebsd-amd64.deb
Checksums-Sha256: 
 c9fe93baf2eb75eeb145a18bef8d4236dff5e41bc35af16d69a04bc7898331c0 1374 freebsd-buildutils_8.2-3.dsc
 d7c1a60951667de78d45dc8baf3b355254c3ad61e65d453ebbb0c91af7b6cd60 29066 freebsd-buildutils_8.2-3.debian.tar.gz
 d52ed138e99ba27ba4660ded79fb697066db00772b8eec1b7bac71d93ab83e0d 496892 freebsd-buildutils_8.2-3_kfreebsd-amd64.deb
Files: 
 d49747e96bff6134d8f1947db8d8ee6d 1374 devel extra freebsd-buildutils_8.2-3.dsc
 9ef0aa28fe7fbc75e2e56a4b04f712f3 29066 devel extra freebsd-buildutils_8.2-3.debian.tar.gz
 bc1c02bc0ec6f60fa63a94988f8a5060 496892 devel extra freebsd-buildutils_8.2-3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4J1o4ACgkQC19io6rUCv+gUwCgi5Owy1xsnDeSw3vqvhVHuOSx
r+AAnRqhNE1tgpqKRblUdcQ/+OKRQdwq
=sFk6
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 28 Jun 2011 15:51:08 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Tue, 28 Jun 2011 15:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631889; Package freebsd-buildutils. (Sun, 15 Jul 2012 18:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 15 Jul 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #35 received at 631889@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 631889@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#631889: kfreebsd-8: FTBFS on linux-i386: can't find kernel headers
Date: Sun, 15 Jul 2012 18:17:40 +0100
found 631889 freebsd-buildutils/8.2-2
fixed 631889 freebsd-buildutils/8.2-1
thanks

If this is a regression introduced in 8.2-2, it is not an issue for
stable as is (was) stated on the new dashboard:

http://udd.debian.org/dmd.cgi?email=debian-bsd%40lists.debian.org

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Marked as found in versions freebsd-buildutils/8.2-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:00:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions freebsd-buildutils/8.2-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:00:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Aug 2012 07:28:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:47:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.